org.apache.tinkerpop.gremlin.process.traversal.step.filter

## Class SimplePathTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.SimplePathTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.SimplePathTest.Traversals

- Enclosing class:
    SimplePathTest

      public static class SimplePathTest.Traversals
      extends SimplePathTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.filter.SimplePathTest

      `SimplePathTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,Path>` | `get_g_V_asXaX_out_asXbX_out_asXcX_simplePath_byXlabelX_fromXbX_toXcX_path_byXnameX()`
    `Traversal<Vertex,Path>` | `get_g_V_repeatXboth_simplePathX_timesX3X_path()`
    `Traversal<Vertex,Vertex>` | `get_g_VX1X_outXcreatedX_inXcreatedX_simplePath(Object v1Id)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.filter.SimplePathTest

      `g_V_asXaX_out_asXbX_out_asXcX_simplePath_byXlabelX_fromXbX_toXcX_path_byXnameX, g_V_repeatXboth_simplePathX_timesX3X_path, g_VX1X_outXcreatedX_inXcreatedX_simplePath`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_VX1X_outXcreatedX_inXcreatedX_simplePath

          public Traversal<Vertex,Vertex> get_g_VX1X_outXcreatedX_inXcreatedX_simplePath(Object v1Id)

      Specified by:
        `get_g_VX1X_outXcreatedX_inXcreatedX_simplePath` in class `SimplePathTest`

    - #### get_g_V_repeatXboth_simplePathX_timesX3X_path

          public Traversal<Vertex,Path> get_g_V_repeatXboth_simplePathX_timesX3X_path()

      Specified by:
        `get_g_V_repeatXboth_simplePathX_timesX3X_path` in class `SimplePathTest`

    - #### get_g_V_asXaX_out_asXbX_out_asXcX_simplePath_byXlabelX_fromXbX_toXcX_path_byXnameX

          public Traversal<Vertex,Path> get_g_V_asXaX_out_asXbX_out_asXcX_simplePath_byXlabelX_fromXbX_toXcX_path_byXnameX()

      Specified by:
        `get_g_V_asXaX_out_asXbX_out_asXcX_simplePath_byXlabelX_fromXbX_toXcX_path_byXnameX` in class `SimplePathTest`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.